%define upstream_name    CPAN-Recent-Uploads
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Retrieves recent files from a CPAN mirror
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Unix)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Tiny) >= 0.12.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(URI) >= 1.560.0
BuildRequires: perl(YAML::XS) >= 0.640.0
BuildArch:  noarch

%description
CPAN::Recent::Uploads provides a mechanism for obtaining a list of the
RECENT uploads to 'CPAN' as determined from the files produced by
File::Rsync::Mirror::Recentfile that exist in the 'authors/'
directory on 'CPAN'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.160.0-3.mga9
+ Revision: 1830265
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.160.0-2.mga8
+ Revision: 1519989
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Oct 30 2018 tv <tv> 0.160.0-1.mga7
+ Revision: 1326606
- update to 0.16

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-3.mga7
+ Revision: 1281870
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.140.0-2.mga7
+ Revision: 1163588
- rebuild with fixed rpm for missing autodeps

* Tue Sep 26 2017 tv <tv> 0.140.0-1.mga7
+ Revision: 1160067
- update to 0.14

* Sat Jul 22 2017 shlomif <shlomif> 0.120.0-1.mga7
+ Revision: 1128433
- update to 0.12

* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-6.mga6
+ Revision: 1024491
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.80.0-5.mga6
+ Revision: 937439
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.80.0-4.mga6
+ Revision: 936998
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 750283
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-2.mga5
+ Revision: 683685
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 624165
- update to 0.08

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 509476
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 363638
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 08 2011 jquelin <jquelin> 0.60.0-1.mga2
+ Revision: 120344
- update to 0.06

* Thu Jan 13 2011 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 10296
- imported package perl-CPAN-Recent-Uploads


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.20.0-1mdv2011.0
+ Revision: 625007
- import perl-CPAN-Recent-Uploads

